### A free/open-source library for quantitative finance

Public Member Functions
FailureToPay Class Reference

Failure to Pay atomic event type. More...

`#include <ql/experimental/credit/defaulttype.hpp>`

Inheritance diagram for FailureToPay:
[legend]

List of all members.

## Public Member Functions

| FailureToPay (const Period &grace, Real amount=1.e+6)
Real | amountRequired () const
const Period & | gracePeriod () const

## Detailed Description

Failure to Pay atomic event type.